package build_test

import (
	"testing"

	"git.akyoto.dev/cli/q/src/build"
	"git.akyoto.dev/go/assert"
)

func TestBuild(t *testing.T) {
	b := build.New("../../examples/hello")
	assert.Nil(t, b.Run())
}

func TestSkipExecutable(t *testing.T) {
	b := build.New("../../examples/hello")
	b.WriteExecutable = false
	assert.Nil(t, b.Run())
}

func TestNonExisting(t *testing.T) {
	b := build.New("does-not-exist")
	assert.NotNil(t, b.Run())
}
