package cli

import (
	"fmt"
	"strings"

	"git.akyoto.dev/cli/q/src/build"
	"git.akyoto.dev/cli/q/src/build/config"
)

// Build builds an executable.
func Build(args []string) int {
	b := build.New(".")

	for i := 0; i < len(args); i++ {
		switch args[i] {
		case "--dry":
			b.WriteExecutable = false

		case "--verbose", "-v":
			config.Verbose = true

		default:
			if strings.HasPrefix(args[i], "-") {
				fmt.Printf("Unknown parameter: %s\n", args[i])
				return 2
			}

			b.Directory = args[i]
		}
	}

	err := b.Run()

	if err != nil {
		fmt.Println(err)
		return 1
	}

	return 0
}
