package cli_test

import (
	"fmt"
	"os"
	"testing"

	"git.akyoto.dev/cli/q/src/cli"
	"git.akyoto.dev/go/assert"
)

func TestCLI(t *testing.T) {
	type cliTest struct {
		arguments        []string
		expectedExitCode int
	}

	tests := []cliTest{
		{[]string{}, 2},
		{[]string{"invalid"}, 2},
		{[]string{"system"}, 0},
		{[]string{"build", "non-existing-directory"}, 1},
		{[]string{"build", "../../examples/hello/hello.q"}, 1},
		{[]string{"build", "../../examples/hello", "--invalid"}, 2},
		{[]string{"build", "../../examples/hello", "--dry"}, 0},
		{[]string{"build", "../../examples/hello", "--dry", "--verbose"}, 0},
	}

	for _, test := range tests {
		t.Log(test.arguments)
		directory, _ := os.Getwd()
		fmt.Println(directory)
		exitCode := cli.Main(test.arguments)
		assert.Equal(t, exitCode, test.expectedExitCode)
	}
}
